function [tas, tasnames] = jb_tas(I)

tasnames = [];

I=[zeros(size(I,1),1) I zeros(size(I,1),1)];
I=[zeros(1,size(I,2)); I; zeros(1,size(I,2))];

[regionWidth, regionHeight] = size(I);

%thresh = [0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 0.95 0.99];
thresh = [0.35 0.5 0.65];
threshNbr = length(thresh);
tas = zeros(1,10*threshNbr);
for i=1:threshNbr

    for k = 1:9
        tasName{k} = sprintf('tas_T%2.0f_p%d',thresh(i)*100,k-1);
    end
    tasName{10} = sprintf('tas_T%2.0f_binRatio',thresh(i)*100);
    tasnames = [tasnames tasName];

    Ibin = im2bw(I,thresh(i));

    % zeroIdx = find(Ibin == 0);
    % Ibin(zeroIdx) = 1;
    shift=(i-1)*10;

    %angle -> 0 ; (delta, 0)
    pixelCounter=0;
    pixelCounter_w=0;

    for x=2:regionWidth-1
        for y=2:regionHeight-1
            if Ibin(x,y) == 1
                Neighbor=0;
                for j=x-1:x+1
                    for k=y-1:y+1
                        Neighbor=Neighbor+Ibin(j,k);
                    end
                end
                tas(shift+Neighbor)=tas(shift+Neighbor)+1;
                pixelCounter_w = pixelCounter_w + 1;
                pixelCounter = pixelCounter + 1;
            else
                pixelCounter = pixelCounter + 1;
            end
        end
    end
    if pixelCounter_w~=0
        tas(shift+1:i*10-1)=tas(shift+1:i*10-1)/pixelCounter_w;
    else
        tas(i*10-1)=1;
    end
    tas(i*10)=pixelCounter_w/pixelCounter;
    
end

end
