function z = nd_gammaNormConv_pdf(y,param,AF,dx)

k = param(1);
t = param(2);
mu = AF(1);
sigma = AF(2);

g = @(x,k,t) gampdf(x,k,t);
n = @(x,mu,sigma) normpdf(x,mu,sigma);
gg = @(x,y,k,t,mu,sigma) g(x,k,t).*n(y-x,mu,sigma);

z = zeros(1,numel(y));
for i=1:numel(y)
    x=2*dx:dx:y(i);
    z(i) = trapz(x,gg(x,y(i),k,t,mu,sigma));
end
