function jb_pattProb(info,side)
%loads the classifier Files and the Test set to calculate a feature
%probability. Data is saved in a way that does not require the training
%set.
%WARNING! jb_classifyFast only works with quadratic classifier.

% Input
expDirectory = info.expDirectory;
expName = info.expName;
p = info.position;
scMainDir = fullfile(expDirectory,info.scDir);
scDir = fullfile(scMainDir,sprintf('pos%d_%s',p,side));

%classifier Data
load(info.pattProb.ClassFile)

%Feature Data
ArrayTestFeatures=importdata(fullfile(scDir,'rawFeatures.mat'));
ArrayLength=length(ArrayTestFeatures);
PCell=cell(1,ArrayLength);
logPCell=cell(1,ArrayLength);
TrainLabel
Rk
gmeans
logDetSigma
for j=1:ArrayLength
    if ~isempty(ArrayTestFeatures{j})
        TestFeatures = ArrayTestFeatures{j}*COEFF;
        [noNeed,probP,logp] = jb_classifyFast(TestFeatures,[],TrainLabel,Rk,gmeans,logDetSigma,'quadratic');
        PCell{j}=probP;
        logPCell{j}=logp;
    end
end
save(fullfile(scDir,'logP.mat'),'logPCell','-v6')
save(fullfile(scDir,'PCell.mat'),'PCell','-v6')
end